Subject: Offline Message from Anthony Bottita: I purchased a Swgaboard Metro Hover Plu
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Sat, 09 Nov 2019 20:26:26 -0000

From: Anthony Bottita <[email-masked]>
Phone: 5183010775
Location: Clifton Park, United States
URL: https://swagtron.com/?msclkid=39c98931ff5d1c9594f2d4f6e000c6be&utm_source=bing&utm_medium=cpc&utm_campaign=%5BM%5D%20-%20%5BB%5D%20-%20Swagtron%20-%20Exact&utm_term=swagtron&utm_content=1a%20-%20Swagtron
Department: SwagTron

I purchased a Swgaboard Metro Hover Plus for my son, model number T882. I don’t know where the serial number is or if it has one. I’m not exactly sure what’s wrong but it acts as if the battery no longer charges. I will leave it plugged in all night and the light on the charge stays red, and the next day when powered on it beeps and the red/dead battery indicator on top flashes. I have another one (same model, different color) I purchased at the same time that look to work perfectly. I’ve tried switching charges and that doesn’t seem to get this one to charge. Thank you for your help

----
Zopim
https://www.zopim.com